> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/export-rdmsysteminformationreport.md).

# Export-RDMSystemInformationReport

Export-RDMSystemInformationReport exportiert ein Remote Desktop Manager-Systeminformationsinventar in eine inv- oder html-Datei.

### Übersicht

Den Systeminformationsbericht in eine Datei exportieren

### Syntax

#### \_\_AllParameterSets

```
Export-RDMSystemInformationReport [-Path] <string> [-InputObject] <PSSystemInformationReport>
 [-Theme <Theme>] [-AsHtml] [-NoClobber] [-VaultMode <VaultMode>]
 [-ForcePromptAnswer <DialogResult[]>] [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Beschreibung

Den Systeminformationsbericht in eine Datei exportieren. Zwei Formate werden unterstützt: \*.inv und \*.html. Standardmäßig werden vorhandene Dateien überschrieben. Um dies zu vermeiden, verwenden Sie den Schalter 'NoClobber'.

### Beispiele

```powershell
PS C:\> $lastYearReports = Get-RDMEntry -Name 'MySystemInformationReportEntry' | Get-RDMSystemInformationReport -After 2023-01-01 -Before 2023-12-31
PS C:\> foreach ($report in $lastYearReports) {
          $exportPath = "C:\my\path\$($report.Inventory.ComputerName)_$($report.MetaInformation.CreationDate.ToString('yyyy-MM-dd')).inv"
          Export-RDMSystemInformationReport -Path $exportPath -InputObject $report
        }
```

Alle Inventare des letzten Jahres exportieren

### Parameter

#### -AsHtml

Das Inventar als HTML-Bericht exportieren

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Confirm

Fordert Sie zur Bestätigung auf, bevor das Cmdlet ausgeführt wird.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Schalter, der mit Vorsicht zu verwenden ist. Er beantwortet automatisch Eingabeaufforderungen mit Ja/Nein-, Ja/Nein/Abbrechen- oder OK/Abbrechen-Fragen. Bei mehreren Eingabeaufforderungen können mehrere Werte an diesen Parameter übergeben werden. Hier sind die akzeptierten Werte:

* Yes: Akzeptiert die Eingabeaufforderung. Deckt die Werte OK und Automatic ab.
* No: Lehnt die Ja/Nein/Abbrechen-Eingabeaufforderung ab. "Cancel" ist die Ausweichoption, wenn keine "No"-Option vorhanden ist.
* Cancel: Bricht die Ja/Nein/Abbrechen-Eingabeaufforderung ab. "No" ist die Ausweichoption, wenn keine "Cancel"-Option vorhanden ist.

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Systeminformationsbericht, der mit Get-RDMSystemInformationReport abgerufen wurde

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSSystemInformationReport
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -NoClobber

Eine vorhandene Datei nicht überschreiben

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Path

Pfad, in dem die Datei gespeichert wird

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Theme

Design des HTML-Berichts

```yaml
Type: Devolutions.RemoteDesktopManager.Theme
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultMode

Tresor, auf den der Befehl angewendet wird. Drei Auswahlmöglichkeiten stehen zur Verfügung:

* Default: Aktuell festgelegter Tresor.
* User: Tresor speziell für den aktuellen Benutzer.
* Global: Globaler Tresor der Datenquelle.

```yaml
Type: Devolutions.RemoteDesktopManager.VaultMode
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Zeigt, was geschehen würde, wenn das Cmdlet ausgeführt wird. Das Cmdlet wird nicht ausgeführt.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Eingaben

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSSystemInformationReport

Systeminformationsberichtsobjekt mit Metadaten

### Hinweise

Weitere Informationen erhalten Sie, indem Sie "Get-Help Export-RDMSystemInformationReport -detailed" eingeben. Technische Informationen erhalten Sie, indem Sie "Get-Help Export-RDMSystemInformationReport -full" eingeben.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/export-rdmsysteminformationreport.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
